# SingleSigSpendingCondition | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- SingleSigSpendingCondition

## Index

### Properties

- fee
- hashMode
- keyEncoding
- nonce
- signature
- signer

## Properties

### fee

fee: BN

- Defined in packages/transactions/src/authorization.ts:172

### hashMode

hashMode: SingleSigHashMode

- Defined in packages/transactions/src/authorization.ts:169

### keyEncoding

keyEncoding: PubKeyEncoding

- Defined in packages/transactions/src/authorization.ts:173

### nonce

nonce: BN

- Defined in packages/transactions/src/authorization.ts:171

### signature

signature: MessageSignature

- Defined in packages/transactions/src/authorization.ts:174

### signer

signer: string

- Defined in packages/transactions/src/authorization.ts:170

Generated using TypeDoc